//---------------------------------------------------------------------
//	File:		vna.h
//
//	Written By:	Lawrence Glaister VE7IT
//
// Purpose: Various header info for the project
//      
// 
//---------------------------------------------------------------------
//
// Revision History
// March 11 2006 --   formatted into multi file project
//---------------------------------------------------------------------- 
// define which chip we are using (peripherals change)
#include <p30f4011.h>

// the following version string is printed on powerup (also in every object module)
#define CPWRT  "\r\nSVNA by VE7IT & N2PK\r\n"
#define VERSION "(c) V1f by VE7IT & N2PK "

//#define FCY  16000000       // 16 MIPS ==> 8mhz rc osc * PLL8 /4
// this number was tweaked by hand until serial port baud was correct
#define FCY  14620000       // 14.5 MIPS ==> 7.3mhz rc osc * PLL8 /4

// define some i/o bits for the various modules
#define STATUS_LED 	_RF1
#define RFIV_SW    	_RD3

// for some reason PI may not be defined in math.h on some systems
#ifndef M_PI
#define M_PI (3.14159265358979323846)
#endif

#define	TRUE	(1)
#define	FALSE	(0)	

// measured scale for battery voltage input on AN0 volts/count
#define BAT_SCALE ( 0.01445 )	/*volts/cnt*/

#define DEBOUNCE (50)		/* button debounce = 5ms */
#define PWRDEBOUNCE (7500)		/* power button debounce = 750ms */

// define the VNA frequency tuning range
#define MINFREQ (500000L)
#define MAXFREQ (700000000L)

#define AUTOOFFCNT (3000000L) // 30 seconds, 5 minutes=3000000L
#define BATCHKCNT  (100000L)  // 10 seconds
#define LOWBATV (7.5)


// this is the data we fill in during calibration
// number of points (freqs) in calibration table
// range of vna is 50kHz to 70 MHz
// 35 also works....
// use 25 with freq incr of 25khz so there are no rounding issues
#define CALPTS 31
#define CALSTART MINFREQ      
#define CALSTOP MAXFREQ

